Name:           untrunc
Version:        0.1
Release:        1%{?dist}
Summary:        A tool to restore damaged or incomplete MP4/MOV files

License:        GPL-2.0
URL:            https://github.com/anthwlock/untrunc
Source0:        %{url}/archive/master.tar.gz
Source1:        https://www.gnu.org/licenses/old-licenses/gpl-2.0.txt

BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  cmake
BuildRequires:  yasm
BuildRequires: ffmpeg-devel

%description
Untrunc is a tool that can fix broken video and audio files by using a working file 
as a reference to restore the corrupt file's headers and structure.

%prep
%setup -q -n untrunc-master
# Copy license
cp %{SOURCE1} COPYING

%build
# Build CLI version with system libraries
%make_build

%install
mkdir -p %{buildroot}%{_bindir}
install -p -m 755 untrunc %{buildroot}%{_bindir}/untrunc

%files
%{_bindir}/untrunc
%doc README.md
%license COPYING

%changelog
* Sun Jan 26 2025 Your Name <rowanfr@gmail.com> - 1.0-0
- Initial package

# External repos used:
#   For numbered fedora versions:
# https://download1.rpmfusion.org/free/$distname/releases/$releasever/Everything/$basearch/os/
#   For fedora rawhide:
# https://download1.rpmfusion.org/free/fedora/development/rawhide/Everything/$basearch/os/